// Implementation of the routines for the object detector. This
// object is defined very similarly to the one of STOKES.
//
// ANALYZE, version 1.2, December 2012


#include <iostream>
#include <fstream>
#include <math.h>
#include "detector-analyze-v1.2.h"

using namespace std;


// definition of pi
const float pi=3.14159265358979323846264338327950;


// initialize detector by setting all channels to zero
Screen::Screen()
{
  int i,j,k;

  for(i = 0; i < ResMax; i++)
  {
	for(j=0; j<ResXmax; j++)
	{
		for(k=0; k<ResYmax; k++)
		{
    			I[i][j][k] = 0;
    			Q[i][j][k] = 0;
    			U[i][j][k] = 0;
    			V[i][j][k] = 0;
  		}
	}
  }
}


// add 'value' to Stokes parameter n at channel l
void Screen::AddTo(int n,int l,int x,int y,double value)
{
  switch(n)
  {
    case 0:
      I[l][x][y] = I[l][x][y]+value;
      break;
    case 1:
      Q[l][x][y] = Q[l][x][y]+value;
      break;
    case 2:
      U[l][x][y] = U[l][x][y]+value;
      break;
    default:
      V[l][x][y] = V[l][x][y]+value;
      break;
  }
}
