// Header file listing the routines for the object detector. This
// object is defined very similarly to the one of STOKES.
//
// ANALYZE, version 1.2, December 2012


#ifndef detector_h
#define detector_h


// maximum number of channels for one detector
const int ResMax = 50;


// maximum size of X and Y imaging plane
const int ResXmax = 30;
const int ResYmax = 30;


// type definition for a detector
class Screen
{


public:


  // initialize detector by setting all channels to zero
  Screen();

  // add value as Stokes parameter n to channel l
  void AddTo(int n,int l,int x,int y,double value);


  // define the array of channels for I
  double I[ResMax][ResXmax][ResYmax];


  // define the array of channels for Q
  double Q[ResMax][ResXmax][ResYmax];


  // define the array of channels for U
  double U[ResMax][ResXmax][ResYmax];


  // define the array of channels for V
  double V[ResMax][ResXmax][ResYmax];


};


#endif
